### Function Macro

# GLib assert_cmpuint

since: 2.16

#### Declaration

    #define g_assert_cmpuint (
      n1,
      cmp,
      n2
    )

#### Description

Debugging macro to compare two unsigned integers.

The effect of `g_assert_cmpuint (n1, op, n2)` is the same as `g_assert_true (n1 op n2)`. The advantage of this macro is that it can produce a message that includes the actual values of `n1` and `n2`.

Available since: 2.16

This function is not directly available to language bindings.

#### Parameters

`n1`

  Type: `-`

  An unsigned integer.

`cmp`

  Type: `-`

  The comparison operator to use. One of `==`, `!=`, `<`, `>`, `<=`, `>=`.

`n2`

  Type: `-`

  Another unsigned integer.